Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::portfolio::SchemaField Class Reference
Inheritance diagram for foxit::pdf::portfolio::SchemaField:

## Public Member Functions
| SchemaField ()
| Constructor.
| SchemaField (const SchemaField &other)
| Constructor, with another schema field object. More...
| ~SchemaField ()
| Destructor.
WString | GetDisplayName () const
| Get the display name. More...
String | GetKeyName () const
| Get the key name string. More...
String | GetSubtypeName () const
| Get the subtype name string. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | IsVisible () const
| Check if current field is initially visible in application or not. More...
bool | operator!= (const SchemaField &other) const
| Not equal operator. More...
SchemaField & | operator= (const SchemaField &other)
| Assign operator. More...
bool | operator== (const SchemaField &other) const
| Equal operator. More...
void | SetDisplayName (const wchar_t *display_name)
| Set the display name. More...
void | SetKeyName (const char *key_name)
| Set the key name string. More...
void | SetSubtypeName (const char *subtype_name)
| Set the subtype name string. More...
void | SetVisibility (bool is_visible)
| Set the initial visibility of current field in application. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

Schema field can be used to decide which information of a node is to be shown or hide in application.

## Constructor & Destructor Documentation

## ◆ SchemaField()

foxit::pdf::portfolio::SchemaField::SchemaField | ( | const SchemaField & | other | ) |

Constructor, with another schema field object.

Parameters

  [in] | other | Another PDF portfolio folder object.

## Member Function Documentation

## ◆ GetDisplayName()

WString foxit::pdf::portfolio::SchemaField::GetDisplayName | ( |  | ) | const

Get the display name.

Display name is used for displaying. This can be different from schema field's key name.

Returns
  Display name string.

## ◆ GetKeyName()

String foxit::pdf::portfolio::SchemaField::GetKeyName | ( |  | ) | const

Get the key name string.

Each schema field is stored by a unique key name. Schema field's key name can be used:

- as the field name for sorting in class Portfolio.
- as the entry's key name in file or folder node's dictionary when schema field's subtype means data type.

Returns
  Key name string.

## ◆ GetSubtypeName()

String foxit::pdf::portfolio::SchemaField::GetSubtypeName | ( |  | ) | const

Get the subtype name string.

Subtype name can be used to specify some properties of file node and folder node directly:

- "F", means the file name of an embedded file or name of a folder node.
- "Desc", means the description of an embedded file or descrpition of a folder node.
- "ModDate", means the modification date of the embedded file or descrpition of a folder node.
- "CreationDate", means the creation date of the embedded file or descrpition of a folder node.
- "Size", means the uncompressed size of the embedded file; a folder node does not have size.
- "CompressedSize", means the compressed size of the embedded file; a folder node does not have compressed size.

For other case, subtype name is used to specified the data type of an specified entry in file or folder node dictionary. The key for the entry is specified by current schema field's key name. and the data type is specified by:

- "S", means the field data shall be stored as a PDF text string.
- "D", means the field data shall be stored as a PDF date string.
- "N", means the field data shall be stored as a PDF number.

Returns
  Subtype name string.

## ◆ IsEmpty()

bool foxit::pdf::portfolio::SchemaField::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ IsVisible()

bool foxit::pdf::portfolio::SchemaField::IsVisible | ( |  | ) | const

Check if current field is initially visible in application or not.

Returns
  true means current field is initially visible in application, while false means current field is initially invisible in application.

## ◆ operator!=()

bool foxit::pdf::portfolio::SchemaField::operator!= | ( | const SchemaField & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another schema field object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

SchemaField& foxit::pdf::portfolio::SchemaField::operator= | ( | const SchemaField & | other | ) |

Assign operator.

Parameters

  [in] | other | Another schema field object, whose value would be assigned to current object

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::portfolio::SchemaField::operator== | ( | const SchemaField & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another schema field object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SetDisplayName()

void foxit::pdf::portfolio::SchemaField::SetDisplayName | ( | const wchar_t * | display_name | ) |

Set the display name.

Display name is used for displaying. This can be different from schema field's key name.

Parameters

  [in] | display_name | Display name string. This should not be an empty string.

Returns
  None.

## ◆ SetKeyName()

void foxit::pdf::portfolio::SchemaField::SetKeyName | ( | const char * | key_name | ) |

Set the key name string.

Each schema field is stored by a unique key name. Schema field's key name can be used:

- as the field name for sorting in class Portfolio.
- as the entry's key name in file or folder node's dictionary when schema field's subtype means data type.

Parameters

  [in] | key_name | New key name string. This should not be an empty string.

Returns
  None.

## ◆ SetSubtypeName()

void foxit::pdf::portfolio::SchemaField::SetSubtypeName | ( | const char * | subtype_name | ) |

Set the subtype name string.

Subtype name can be used to specify some properties of file node and folder node directly:

- "F", means the file name of an embedded file or name of a folder node.
- "Desc", means the description of an embedded file or descrpition of a folder node.
- "ModDate", means the modification date of the embedded file or descrpition of a folder node.
- "CreationDate", means the creation date of the embedded file or descrpition of a folder node.
- "Size", means the uncompressed size of the embedded file; a folder node does not have size.
- "CompressedSize", means the compressed size of the embedded file; a folder node does not have compressed size.

For other case, subtype name is used to specified the data type of an specified entry in file or folder node dictionary. The key for the entry is specified by current schema field's key name. and the data type is specified by:

- "S", means the field data shall be stored as a PDF text string.
- "D", means the field data shall be stored as a PDF date string.
- "N", means the field data shall be stored as a PDF number.

Parameters

  [in] | subtype_name | Subtype name string. This should not be an empty string. Please refer to "Details" part for more information.

Returns
  None.

## ◆ SetVisibility()

void foxit::pdf::portfolio::SchemaField::SetVisibility | ( | bool | is_visible | ) |

Set the initial visibility of current field in application.

Parameters

  [in] | is_visible | true means current field is initially visible in application, while false means current field is initially invisible in application.

Returns
  None.